Scriptname wdUIControlScript extends Quest  

GlobalVariable Property wdUIEnabled Auto

Perk Property wdUIPerkPlayerByType Auto
Perk Property wdUIPerkNPCByType Auto

Perk Property wdUIPerkPlayerByMaterial Auto
Perk Property wdUIPerkNPCByMaterial Auto

Perk Property wdUIPerkPlayerByMagick Auto
Perk Property wdUIPerkNPCByMagic Auto

; types

GlobalVariable Property wdUIMultBattleaxeByPC Auto
GlobalVariable Property wdUIMultBowByPC Auto
GlobalVariable Property wdUIMultDaggerByPC Auto
GlobalVariable Property wdUIMultGreatswordByPC Auto
GlobalVariable Property wdUIMultMaceByPC Auto
GlobalVariable Property wdUIMultStaffByPC Auto
GlobalVariable Property wdUIMultSwordByPC Auto
GlobalVariable Property wdUIMultWaraxeByPC Auto
GlobalVariable Property wdUIMultWarhammerByPC Auto

GlobalVariable Property wdUIMultBattleaxeToPC Auto
GlobalVariable Property wdUIMultBowToPC Auto
GlobalVariable Property wdUIMultDaggerToPC Auto
GlobalVariable Property wdUIMultGreatswordToPC Auto
GlobalVariable Property wdUIMultMaceToPC Auto
GlobalVariable Property wdUIMultStaffToPC Auto
GlobalVariable Property wdUIMultSwordToPC Auto
GlobalVariable Property wdUIMultWaraxeToPC Auto
GlobalVariable Property wdUIMultWarhammerToPC Auto

GlobalVariable[] byTypeByPCRefList
GlobalVariable[] byTypeToPCRefList

GlobalVariable Property wdUIMultDaedricByPC Auto
GlobalVariable Property wdUIMultDraugrByPC Auto
GlobalVariable Property wdUIMultDraugrHonedByPC Auto
GlobalVariable Property wdUIMultDwarvenByPC Auto
GlobalVariable Property wdUIMultEbonyByPC Auto
GlobalVariable Property wdUIMultElvenByPC Auto
GlobalVariable Property wdUIMultFalmerByPC Auto
GlobalVariable Property wdUIMultFalmerHonedByPC Auto
GlobalVariable Property wdUIMultGlassByPC Auto
GlobalVariable Property wdUIMultImperialByPC Auto
GlobalVariable Property wdUIMultIronByPC Auto
GlobalVariable Property wdUIMultOrcishByPC Auto
GlobalVariable Property wdUIMultSilverByPC Auto
GlobalVariable Property wdUIMultSteelByPC Auto
GlobalVariable Property wdUIMultWoodByPC Auto

; materials

GlobalVariable Property wdUIMultDaedricToPC Auto
GlobalVariable Property wdUIMultDraugrToPC Auto
GlobalVariable Property wdUIMultDraugrHonedToPC Auto
GlobalVariable Property wdUIMultDwarvenToPC Auto
GlobalVariable Property wdUIMultEbonyToPC Auto
GlobalVariable Property wdUIMultElvenToPC Auto
GlobalVariable Property wdUIMultFalmerToPC Auto
GlobalVariable Property wdUIMultFalmerHonedToPC Auto
GlobalVariable Property wdUIMultGlassToPC Auto
GlobalVariable Property wdUIMultImperialToPC Auto
GlobalVariable Property wdUIMultIronToPC Auto
GlobalVariable Property wdUIMultOrcishToPC Auto
GlobalVariable Property wdUIMultSilverToPC Auto
GlobalVariable Property wdUIMultSteelToPC Auto
GlobalVariable Property wdUIMultWoodToPC Auto

; materials DLC1

GlobalVariable Property wdUIMultDragonboneByPC Auto
GlobalVariable Property wdUIMultDragonboneToPC Auto

; materials DLC2

GlobalVariable Property wdUIMultNordicByPC Auto
GlobalVariable Property wdUIMultNordicToPC Auto
GlobalVariable Property wdUIMultStalhrimByPC Auto
GlobalVariable Property wdUIMultStalhrimToPC Auto

GlobalVariable[] byMaterialByPCRefList
GlobalVariable[] byMaterialToPCRefList

GlobalVariable Property wdUIMultFireByPC Auto
GlobalVariable Property wdUIMultFrostByPC Auto
GlobalVariable Property wdUIMultShockByPC Auto
GlobalVariable Property wdUIMultRuneByPC Auto

GlobalVariable Property wdUIMultFireToPC Auto
GlobalVariable Property wdUIMultFrostToPC Auto
GlobalVariable Property wdUIMultShockToPC Auto
GlobalVariable Property wdUIMultRuneToPC Auto

GlobalVariable[] byMagickByPCRefList
GlobalVariable[] byMagickToPCRefList

Actor player


bool Function isActive()
	return wdUIEnabled != none && wdUIEnabled.GetValueInt() == 1
EndFunction

Function reset()
	player = Game.GetPlayer()

	if (isActive())
		activate()
	else
		deactivate()
	endif

;	Debug.Notification("$wdUInotifyDone")
endFunction

Function activate()
	setPlayerSettings()
endFunction

Function deactivate()
	setDefaultSettings()
endFunction

Function setPlayerSettings()
	int perkEntries = wdUIPerkPlayerByType.GetNumEntries()
	int entryIndex = 0
	int entryPriority = 0
	float entryValue = 1.0

	While entryIndex < perkEntries
		entryPriority = wdUIPerkPlayerByType.GetNthEntryPriority(entryIndex)
		entryValue = byTypeByPCRefList[entryPriority].GetValue()
		wdUIPerkPlayerByType.SetNthEntryValue(entryIndex, 0, entryValue)
		entryIndex += 1
	endWhile

	perkEntries = wdUIPerkNPCByType.GetNumEntries()
	entryIndex = 0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkNPCByType.GetNthEntryPriority(entryIndex)
		entryValue = byTypeToPCRefList[entryPriority].GetValue()
		wdUIPerkNPCByType.SetNthEntryValue(entryIndex, 0, entryValue)
		entryIndex += 1
	endWhile

	perkEntries = wdUIPerkPlayerByMaterial.GetNumEntries()
	entryIndex = 0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkPlayerByMaterial.GetNthEntryPriority(entryIndex)
		entryValue = byMaterialByPCRefList[entryPriority].GetValue()
		wdUIPerkPlayerByMaterial.SetNthEntryValue(entryIndex, 0, entryValue)
		entryIndex += 1
	endWhile

	perkEntries = wdUIPerkNPCByMaterial.GetNumEntries()
	entryIndex = 0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkNPCByMaterial.GetNthEntryPriority(entryIndex)
		entryValue = byMaterialToPCRefList[entryPriority].GetValue()
		wdUIPerkNPCByMaterial.SetNthEntryValue(entryIndex, 0, entryValue)
		entryIndex += 1
	endWhile

	perkEntries = wdUIPerkPlayerByMagick.GetNumEntries()
	entryIndex = 0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkPlayerByMagick.GetNthEntryPriority(entryIndex)
		entryValue = byMagickByPCRefList[entryPriority].GetValue()
		wdUIPerkPlayerByMagick.SetNthEntryValue(entryIndex, 0, entryValue)
		entryIndex += 1
	endWhile

	perkEntries = wdUIPerkNPCByMagic.GetNumEntries()
	entryIndex = 0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkNPCByMagic.GetNthEntryPriority(entryIndex)
		entryValue = byMagickToPCRefList[entryPriority].GetValue()
		wdUIPerkNPCByMagic.SetNthEntryValue(entryIndex, 0, entryValue)
		entryIndex += 1
	endWhile

	if (!player.HasPerk(wdUIPerkPlayerByType))
		player.AddPerk(wdUIPerkPlayerByType)
	endIf

	if (!player.HasPerk(wdUIPerkNPCByType))
		player.AddPerk(wdUIPerkNPCByType)
	endIf

	if (!player.HasPerk(wdUIPerkPlayerByMaterial))
		player.AddPerk(wdUIPerkPlayerByMaterial)
	endIf

	if (!player.HasPerk(wdUIPerkNPCByMaterial))
		player.AddPerk(wdUIPerkNPCByMaterial)
	endIf

	if (!player.HasPerk(wdUIPerkPlayerByMagick))
		player.AddPerk(wdUIPerkPlayerByMagick)
	endIf

	if (!player.HasPerk(wdUIPerkNPCByMagic))
		player.AddPerk(wdUIPerkNPCByMagic)
	endIf
endFunction

Function setDefaultSettings()
	if (player.HasPerk(wdUIPerkPlayerByType))
		player.RemovePerk(wdUIPerkPlayerByType)
	endIf

	if (player.HasPerk(wdUIPerkNPCByType))
		player.RemovePerk(wdUIPerkNPCByType)
	endIf

	if (player.HasPerk(wdUIPerkPlayerByMaterial))
		player.RemovePerk(wdUIPerkPlayerByMaterial)
	endIf

	if (player.HasPerk(wdUIPerkNPCByMaterial))
		player.RemovePerk(wdUIPerkNPCByMaterial)
	endIf

	if (player.HasPerk(wdUIPerkPlayerByMagick))
		player.RemovePerk(wdUIPerkPlayerByMagick)
	endIf

	if (player.HasPerk(wdUIPerkNPCByMagic))
		player.RemovePerk(wdUIPerkNPCByMagic)
	endIf
endFunction

Function updateLists()
	; TODO
	; meh...need to find some better way

	byTypeToPCRefList = new GlobalVariable[9]

	byTypeToPCRefList[0] = wdUIMultBattleaxeToPC
	byTypeToPCRefList[1] = wdUIMultBowToPC
	byTypeToPCRefList[2] = wdUIMultDaggerToPC
	byTypeToPCRefList[3] = wdUIMultGreatswordToPC
	byTypeToPCRefList[4] = wdUIMultMaceToPC
	byTypeToPCRefList[5] = wdUIMultStaffToPC
	byTypeToPCRefList[6] = wdUIMultSwordToPC
	byTypeToPCRefList[7] = wdUIMultWaraxeToPC
	byTypeToPCRefList[8] = wdUIMultWarhammerToPC

	byTypeByPCRefList = new GlobalVariable[9]

	byTypeByPCRefList[0] = wdUIMultBattleaxeByPC
	byTypeByPCRefList[1] = wdUIMultBowByPC
	byTypeByPCRefList[2] = wdUIMultDaggerByPC
	byTypeByPCRefList[3] = wdUIMultGreatswordByPC
	byTypeByPCRefList[4] = wdUIMultMaceByPC
	byTypeByPCRefList[5] = wdUIMultStaffByPC
	byTypeByPCRefList[6] = wdUIMultSwordByPC
	byTypeByPCRefList[7] = wdUIMultWaraxeByPC
	byTypeByPCRefList[8] = wdUIMultWarhammerByPC

	byMaterialByPCRefList = new GlobalVariable[18]

	byMaterialByPCRefList[0] = wdUIMultDaedricByPC
	byMaterialByPCRefList[1] = wdUIMultDraugrByPC
	byMaterialByPCRefList[2] = wdUIMultDraugrHonedByPC
	byMaterialByPCRefList[3] = wdUIMultDwarvenByPC
	byMaterialByPCRefList[4] = wdUIMultEbonyByPC
	byMaterialByPCRefList[5] = wdUIMultElvenByPC
	byMaterialByPCRefList[6] = wdUIMultFalmerByPC
	byMaterialByPCRefList[7] = wdUIMultFalmerHonedByPC
	byMaterialByPCRefList[8] = wdUIMultGlassByPC
	byMaterialByPCRefList[9] = wdUIMultImperialByPC
	byMaterialByPCRefList[10] = wdUIMultIronByPC
	byMaterialByPCRefList[11] = wdUIMultOrcishByPC
	byMaterialByPCRefList[12] = wdUIMultSilverByPC
	byMaterialByPCRefList[13] = wdUIMultSteelByPC
	byMaterialByPCRefList[14] = wdUIMultWoodByPC
	byMaterialByPCRefList[15] = wdUIMultDragonboneByPC
	byMaterialByPCRefList[16] = wdUIMultNordicByPC
	byMaterialByPCRefList[17] = wdUIMultStalhrimByPC

	byMaterialToPCRefList = new GlobalVariable[18]

	byMaterialToPCRefList[0] = wdUIMultDaedricToPC
	byMaterialToPCRefList[1] = wdUIMultDraugrToPC
	byMaterialToPCRefList[2] = wdUIMultDraugrHonedToPC
	byMaterialToPCRefList[3] = wdUIMultDwarvenToPC
	byMaterialToPCRefList[4] = wdUIMultEbonyToPC
	byMaterialToPCRefList[5] = wdUIMultElvenToPC
	byMaterialToPCRefList[6] = wdUIMultFalmerToPC
	byMaterialToPCRefList[7] = wdUIMultFalmerHonedToPC
	byMaterialToPCRefList[8] = wdUIMultGlassToPC
	byMaterialToPCRefList[9] = wdUIMultImperialToPC
	byMaterialToPCRefList[10] = wdUIMultIronToPC
	byMaterialToPCRefList[11] = wdUIMultOrcishToPC
	byMaterialToPCRefList[12] = wdUIMultSilverToPC
	byMaterialToPCRefList[13] = wdUIMultSteelToPC
	byMaterialToPCRefList[14] = wdUIMultWoodToPC
	byMaterialToPCRefList[15] = wdUIMultDragonboneToPC
	byMaterialToPCRefList[16] = wdUIMultNordicToPC
	byMaterialToPCRefList[17] = wdUIMultStalhrimToPC

	byMagickByPCRefList	= new GlobalVariable[4]

	byMagickByPCRefList[0] = wdUIMultFireByPC
	byMagickByPCRefList[1] = wdUIMultFrostByPC
	byMagickByPCRefList[2] = wdUIMultShockByPC
	byMagickByPCRefList[3] = wdUIMultRuneByPC

	byMagickToPCRefList	= new GlobalVariable[4]

	byMagickToPCRefList[0] = wdUIMultFireToPC
	byMagickToPCRefList[1] = wdUIMultFrostToPC
	byMagickToPCRefList[2] = wdUIMultShockToPC
	byMagickToPCRefList[3] = wdUIMultRuneToPC
endFunction

Function getCurrentSettings()
	updateLists()

	int perkEntries = wdUIPerkPlayerByType.GetNumEntries()
	int entryIndex = 0
	int entryPriority = 0
	float entryValue = 1.0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkPlayerByType.GetNthEntryPriority(entryIndex)
		entryValue = wdUIPerkPlayerByType.GetNthEntryValue(entryIndex, 0)
		byTypeByPCRefList[entryPriority].SetValue(entryValue)
		entryIndex += 1
	endWhile

	perkEntries = wdUIPerkNPCByType.GetNumEntries()
	entryIndex = 0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkNPCByType.GetNthEntryPriority(entryIndex)
		entryValue = wdUIPerkNPCByType.GetNthEntryValue(entryIndex, 0)
		byTypeToPCRefList[entryPriority].SetValue(entryValue)
		entryIndex += 1
	endWhile

	perkEntries = wdUIPerkPlayerByMaterial.GetNumEntries()
	entryIndex = 0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkPlayerByMaterial.GetNthEntryPriority(entryIndex)
		entryValue = wdUIPerkPlayerByMaterial.GetNthEntryValue(entryIndex, 0)
		byMaterialByPCRefList[entryPriority].SetValue(entryValue)
		entryIndex += 1
	endWhile

	perkEntries = wdUIPerkNPCByMaterial.GetNumEntries()
	entryIndex = 0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkNPCByMaterial.GetNthEntryPriority(entryIndex)
		entryValue = wdUIPerkNPCByMaterial.GetNthEntryValue(entryIndex, 0)
		byMaterialToPCRefList[entryPriority].SetValue(entryValue)
		entryIndex += 1
	endWhile

	perkEntries = wdUIPerkPlayerByMagick.GetNumEntries()
	entryIndex = 0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkPlayerByMagick.GetNthEntryPriority(entryIndex)
		entryValue = wdUIPerkPlayerByMagick.GetNthEntryValue(entryIndex, 0)
		byMagickByPCRefList[entryPriority].SetValue(entryValue)
		entryIndex += 1
	endWhile

	perkEntries = wdUIPerkNPCByMagic.GetNumEntries()
	entryIndex = 0
    
	While entryIndex < perkEntries
		entryPriority = wdUIPerkNPCByMagic.GetNthEntryPriority(entryIndex)
		entryValue = wdUIPerkNPCByMagic.GetNthEntryValue(entryIndex, 0)
		byMagickToPCRefList[entryPriority].SetValue(entryValue)
		entryIndex += 1
	endWhile
endFunction
