Scriptname wdUISkyUIMenuConfigScript extends SKI_ConfigBase  

; SCRIPT VERSION ----------------------------------------------------------------------------------

int function GetVersion()
    return 1
endFunction


; GLOBAL VARIABLES --------------------------------------------------------------------------------

GlobalVariable Property wdUIEnabled Auto

wdUIControlScript Property wdUIControl Auto
wdUIMaintainanceScript Property wdUIMaintainance Auto

; weapon types

GlobalVariable Property wdUIMultBattleaxeByPC Auto
GlobalVariable Property wdUIMultBowByPC Auto
GlobalVariable Property wdUIMultDaggerByPC Auto
GlobalVariable Property wdUIMultGreatswordByPC Auto
GlobalVariable Property wdUIMultMaceByPC Auto
GlobalVariable Property wdUIMultStaffByPC Auto
GlobalVariable Property wdUIMultSwordByPC Auto
GlobalVariable Property wdUIMultWaraxeByPC Auto
GlobalVariable Property wdUIMultWarhammerByPC Auto

GlobalVariable Property wdUIMultBattleaxeToPC Auto
GlobalVariable Property wdUIMultBowToPC Auto
GlobalVariable Property wdUIMultDaggerToPC Auto
GlobalVariable Property wdUIMultGreatswordToPC Auto
GlobalVariable Property wdUIMultMaceToPC Auto
GlobalVariable Property wdUIMultStaffToPC Auto
GlobalVariable Property wdUIMultSwordToPC Auto
GlobalVariable Property wdUIMultWaraxeToPC Auto
GlobalVariable Property wdUIMultWarhammerToPC Auto

; materials

GlobalVariable Property wdUIMultDaedricByPC Auto
GlobalVariable Property wdUIMultDraugrByPC Auto
GlobalVariable Property wdUIMultDraugrHonedByPC Auto
GlobalVariable Property wdUIMultDwarvenByPC Auto
GlobalVariable Property wdUIMultEbonyByPC Auto
GlobalVariable Property wdUIMultElvenByPC Auto
GlobalVariable Property wdUIMultFalmerByPC Auto
GlobalVariable Property wdUIMultFalmerHonedByPC Auto
GlobalVariable Property wdUIMultGlassByPC Auto
GlobalVariable Property wdUIMultImperialByPC Auto
GlobalVariable Property wdUIMultIronByPC Auto
GlobalVariable Property wdUIMultOrcishByPC Auto
GlobalVariable Property wdUIMultSilverByPC Auto
GlobalVariable Property wdUIMultSteelByPC Auto
GlobalVariable Property wdUIMultWoodByPC Auto

GlobalVariable Property wdUIMultDaedricToPC Auto
GlobalVariable Property wdUIMultDraugrToPC Auto
GlobalVariable Property wdUIMultDraugrHonedToPC Auto
GlobalVariable Property wdUIMultDwarvenToPC Auto
GlobalVariable Property wdUIMultEbonyToPC Auto
GlobalVariable Property wdUIMultElvenToPC Auto
GlobalVariable Property wdUIMultFalmerToPC Auto
GlobalVariable Property wdUIMultFalmerHonedToPC Auto
GlobalVariable Property wdUIMultGlassToPC Auto
GlobalVariable Property wdUIMultImperialToPC Auto
GlobalVariable Property wdUIMultIronToPC Auto
GlobalVariable Property wdUIMultOrcishToPC Auto
GlobalVariable Property wdUIMultSilverToPC Auto
GlobalVariable Property wdUIMultSteelToPC Auto
GlobalVariable Property wdUIMultWoodToPC Auto

; DLC1

GlobalVariable Property wdUIMultDragonboneByPC Auto
GlobalVariable Property wdUIMultDragonboneToPC Auto

; DLC2

GlobalVariable Property wdUIMultNordicByPC Auto
GlobalVariable Property wdUIMultNordicToPC Auto
GlobalVariable Property wdUIMultStalhrimByPC Auto
GlobalVariable Property wdUIMultStalhrimToPC Auto

; magick type

GlobalVariable Property wdUIMultFireByPC Auto
GlobalVariable Property wdUIMultFrostByPC Auto
GlobalVariable Property wdUIMultShockByPC Auto
GlobalVariable Property wdUIMultRuneByPC Auto

GlobalVariable Property wdUIMultFireToPC Auto
GlobalVariable Property wdUIMultFrostToPC Auto
GlobalVariable Property wdUIMultShockToPC Auto
GlobalVariable Property wdUIMultRuneToPC Auto


; PRIVATE VARIABLES -------------------------------------------------------------------------------

; State
int _modEnabledFlags

; Misc
string _sliderFS = "{2}"
float _maxValue = 10.0


; FUNCTIONS ---------------------------------------------------------------------------------------

Function setPages()
	Pages = new string[4]
	Pages[0] = "$Options"
	Pages[1] = "$ByType"
	Pages[2] = "$ByMaterial"
	Pages[3] = "$ByMagick"
endFunction

Function toggle(GlobalVariable value)
	if (value.getValueInt() == 0)
		value.setValueInt(1)
	else
		value.setValueInt(0)
	endIf
EndFunction

Function listByType()
	AddHeaderOption("$Player")
	AddSliderOptionST("TYPE_BATTLEAXE_BYPC", "$Battleaxe", wdUIMultBattleaxeByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_BOW_BYPC", "$Bow", wdUIMultBowByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_DAGGER_BYPC", "$Dagger", wdUIMultDaggerByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_GREATSWORD_BYPC", "$Greatsword", wdUIMultGreatswordByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_MACE_BYPC", "$Mace", wdUIMultMaceByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_STAFF_BYPC", "$Staff", wdUIMultStaffByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_SWORD_BYPC", "$Sword", wdUIMultSwordByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_WARAXE_BYPC", "$Waraxe", wdUIMultWaraxeByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_WARHAMMER_BYPC", "$Warhammer", wdUIMultWarhammerByPC.GetValue(), _sliderFS, _modEnabledFlags)

	SetCursorPosition(1)

	AddHeaderOption("$Computer")
	AddSliderOptionST("TYPE_BATTLEAXE_TOPC", "$Battleaxe", wdUIMultBattleaxeToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_BOW_TOPC", "$Bow", wdUIMultBowToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_DAGGER_TOPC", "$Dagger", wdUIMultDaggerToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_GREATSWORD_TOPC", "$Greatsword", wdUIMultGreatswordToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_MACE_TOPC", "$Mace", wdUIMultMaceToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_STAFF_TOPC", "$Staff", wdUIMultStaffToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_SWORD_TOPC", "$Sword", wdUIMultSwordToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_WARAXE_TOPC", "$Waraxe", wdUIMultWaraxeToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("TYPE_WARHAMMER_TOPC", "$Warhammer", wdUIMultWarhammerToPC.GetValue(), _sliderFS, _modEnabledFlags)
endFunction

Function listByMaterial()
	AddHeaderOption("$Player")
	AddSliderOptionST("MATERIAL_DAEDRIC_BYPC", "$Daedric", wdUIMultDaedricByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_DRAGONBONE_BYPC", "$Dragonbone", wdUIMultDragonboneByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_DRAUGR_BYPC", "$Draugr", wdUIMultDraugrByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_DRAUGR_HONED_BYPC", "$DraugrHoned", wdUIMultDraugrHonedByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_DWARVEN_BYPC", "$Dwarven", wdUIMultDwarvenByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_EBONY_BYPC", "$Ebony", wdUIMultEbonyByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_ELVEN_BYPC", "$Elven", wdUIMultElvenByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_FALMER_BYPC", "$Falmer", wdUIMultFalmerByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_FALMER_HONED_BYPC", "$FalmerHoned", wdUIMultFalmerHonedByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_GLASS_BYPC", "$Glass", wdUIMultGlassByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_IMPERIAL_BYPC", "$Imperial", wdUIMultImperialByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_IRON_BYPC", "$Iron", wdUIMultIronByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_NORDIC_BYPC", "$Nordic", wdUIMultNordicByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_ORCISH_BYPC", "$Orcish", wdUIMultOrcishByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_SILVER_BYPC", "$Silver", wdUIMultSilverByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_STALHRIM_BYPC", "$Stalhrim", wdUIMultStalhrimByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_STEEL_BYPC", "$Steel", wdUIMultSteelByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_WOOD_BYPC", "$Wood", wdUIMultWoodByPC.GetValue(), _sliderFS, _modEnabledFlags)

	SetCursorPosition(1)

	AddHeaderOption("$Computer")
	AddSliderOptionST("MATERIAL_DAEDRIC_TOPC", "$Daedric", wdUIMultDaedricToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_DRAGONBONE_TOPC", "$Dragonbone", wdUIMultDragonboneToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_DRAUGR_TOPC", "$Draugr", wdUIMultDraugrToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_DRAUGR_HONED_TOPC", "$DraugrHoned", wdUIMultDraugrHonedToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_DWARVEN_TOPC", "$Dwarven", wdUIMultDwarvenToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_EBONY_TOPC", "$Ebony", wdUIMultEbonyToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_ELVEN_TOPC", "$Elven", wdUIMultElvenToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_FALMER_TOPC", "$Falmer", wdUIMultFalmerToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_FALMER_HONED_TOPC", "$FalmerHoned", wdUIMultFalmerHonedToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_GLASS_TOPC", "$Glass", wdUIMultGlassToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_IMPERIAL_TOPC", "$Imperial", wdUIMultImperialToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_IRON_TOPC", "$Iron", wdUIMultIronToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_NORDIC_TOPC", "$Nordic", wdUIMultNordicToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_ORCISH_TOPC", "$Orcish", wdUIMultOrcishToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_SILVER_TOPC", "$Silver", wdUIMultSilverToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_STALHRIM_TOPC", "$Stalhrim", wdUIMultStalhrimToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_STEEL_TOPC", "$Steel", wdUIMultSteelToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MATERIAL_WOOD_TOPC", "$Wood", wdUIMultWoodToPC.GetValue(), _sliderFS, _modEnabledFlags)
endFunction

Function listByMagick()
	AddHeaderOption("$Player")
	AddSliderOptionST("MAGICK_FIRE_BYPC", "$Fire", wdUIMultFireByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MAGICK_FROST_BYPC", "$Frost", wdUIMultFrostByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MAGICK_SHOCK_BYPC", "$Shock", wdUIMultShockByPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddEmptyOption()
	AddSliderOptionST("MAGICK_RUNE_BYPC", "$Rune", wdUIMultRuneByPC.GetValue(), _sliderFS, _modEnabledFlags)

	SetCursorPosition(1)

	AddHeaderOption("$Computer")
	AddSliderOptionST("MAGICK_FIRE_TOPC", "$Fire", wdUIMultFireToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MAGICK_FROST_TOPC", "$Frost", wdUIMultFrostToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddSliderOptionST("MAGICK_SHOCK_TOPC", "$Shock", wdUIMultShockToPC.GetValue(), _sliderFS, _modEnabledFlags)
	AddEmptyOption()
	AddSliderOptionST("MAGICK_RUNE_TOPC", "$Rune", wdUIMultRuneToPC.GetValue(), _sliderFS, _modEnabledFlags)
endFunction

Function updateFlags()
	if (wdUIEnabled.GetValueInt() == 1)
		_modEnabledFlags = OPTION_FLAG_NONE
	else
		_modEnabledFlags = OPTION_FLAG_DISABLED
	endIf
endFunction

; INITIALIZATION ----------------------------------------------------------------------------------

; @overrides SKI_ConfigBase
event OnConfigInit()
	setPages()
	wdUIControl.getCurrentSettings()
endEvent

; @implements SKI_ConfigBase
event OnConfigRegister()
	if (wdUIEnabled.GetValueInt() == 1)
		Debug.Notification("$wdUInotifyModEnabled")
	else
		Debug.Notification("$wdUInotifyModDisabled")
	endIf
endEvent

; EVENTS ------------------------------------------------------------------------------------------

; @implements SKI_ConfigBase
event OnPageReset(string a_page)
	if (a_page == "")
		return
	else
		UnloadCustomContent()
	endIf
    
    updateFlags()

	if (a_page == "$Options")
		SetCursorFillMode(TOP_TO_BOTTOM)
		AddToggleOptionST("MOD_ENABLED", "$ActivateMod", wdUIEnabled.GetValueInt())
		SetCursorPosition(1)
		AddTextOptionST("MOD_VERSION", "$ModVersion", wdUIMaintainance.getwdUIVersion())
	elseif (a_page == "$ByType")
		SetCursorFillMode(TOP_TO_BOTTOM)
		listByType()
	elseif (a_page == "$ByMaterial")
		SetCursorFillMode(TOP_TO_BOTTOM)
		listByMaterial()
	elseif (a_page == "$ByMagick")
		SetCursorFillMode(TOP_TO_BOTTOM)
		listByMagick()
	endIf
endEvent

event OnConfigClose()
	wdUIControl.reset()
endEvent

; MENU OPTION EVENTS ------------------------------------------------------------------------------

state MOD_ENABLED ; TOGGLE
	event onSelectST()
		toggle(wdUIEnabled)
		SetToggleOptionValueST(wdUIEnabled.GetValueInt())
		ForcePageReset()
	endEvent
    
	event OnHighlightST()
		SetInfoText("$hintActivateMod")
	endEvent
endState

state MOD_VERSION ; TEXT

endState

; BY TYPE BATTLEAXE -------------------------------------------------------------------------------

state TYPE_BATTLEAXE_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultBattleaxeByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultBattleaxeByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultBattleaxeByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state TYPE_BATTLEAXE_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultBattleaxeToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultBattleaxeToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultBattleaxeToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; BY TYPE BOW -------------------------------------------------------------------------------------

state TYPE_BOW_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultBowByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultBowByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultBowByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state TYPE_BOW_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultBowToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultBowToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultBowToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; BY TYPE DAGGER ----------------------------------------------------------------------------------

state TYPE_DAGGER_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDaggerByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDaggerByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDaggerByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state TYPE_DAGGER_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDaggerToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDaggerToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDaggerToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; BY TYPE GREATSWORD ------------------------------------------------------------------------------

state TYPE_GREATSWORD_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultGreatswordByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultGreatswordByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultGreatswordByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state TYPE_GREATSWORD_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultGreatswordToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultGreatswordToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultGreatswordToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState


; BY TYPE MACE ------------------------------------------------------------------------------------

state TYPE_MACE_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultMaceByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultMaceByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultMaceByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state TYPE_MACE_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultMaceToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultMaceToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultMaceToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; BY TYPE STAFF -------------------------------------------------------------------------------

state TYPE_STAFF_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultStaffByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultStaffByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultStaffByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state TYPE_STAFF_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultStaffToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultStaffToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultStaffToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; BY TYPE SWORD -------------------------------------------------------------------------------

state TYPE_SWORD_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultSwordByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultSwordByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultSwordByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state TYPE_SWORD_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultSwordToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultSwordToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultSwordToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; BY TYPE WARAXE -------------------------------------------------------------------------------

state TYPE_WARAXE_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultWaraxeByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultWaraxeByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultWaraxeByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state TYPE_WARAXE_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultWaraxeToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultWaraxeToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultWaraxeToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; BY TYPE WARHAMMER -------------------------------------------------------------------------------

state TYPE_WARHAMMER_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultWarhammerByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultWarhammerByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultWarhammerByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state TYPE_WARHAMMER_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultWarhammerToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultWarhammerToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultWarhammerToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL DAEDRIC --------------------------------------------------------------------------------

state MATERIAL_DAEDRIC_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDaedricToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDaedricToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDaedricToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_DAEDRIC_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDaedricByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDaedricByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDaedricByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL DRAUGR ---------------------------------------------------------------------------------

state MATERIAL_DRAUGR_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDraugrToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDraugrToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDraugrToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_DRAUGR_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDraugrByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDraugrByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDraugrByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL DRAUGR HONED ---------------------------------------------------------------------------

state MATERIAL_DRAUGR_HONED_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDraugrHonedByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDraugrHonedByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDraugrHonedByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_DRAUGR_HONED_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDraugrHonedToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDraugrHonedToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDraugrHonedToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL DWARVEN --------------------------------------------------------------------------------

state MATERIAL_DWARVEN_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDwarvenToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDwarvenToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDwarvenToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_DWARVEN_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDwarvenByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDwarvenByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDwarvenByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL EBONY ----------------------------------------------------------------------------------

state MATERIAL_EBONY_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultEbonyByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultEbonyByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultEbonyByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_EBONY_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultEbonyToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultEbonyToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultEbonyToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL ELVEN ----------------------------------------------------------------------------------

state MATERIAL_ELVEN_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultElvenToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultElvenToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultElvenToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_ELVEN_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultElvenByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultElvenByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultElvenByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL FALMER ---------------------------------------------------------------------------------

state MATERIAL_FALMER_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultFalmerByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultFalmerByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultFalmerByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_FALMER_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultFalmerToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultFalmerToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultFalmerToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL FALMER HONED ---------------------------------------------------------------------------

state MATERIAL_FALMER_HONED_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultFalmerHonedToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultFalmerHonedToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultFalmerHonedToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_FALMER_HONED_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultFalmerHonedByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultFalmerHonedByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultFalmerHonedByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL GLASS ----------------------------------------------------------------------------------

state MATERIAL_GLASS_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultGlassByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultGlassByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultGlassByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_GLASS_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultGlassToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultGlassToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultGlassToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL IMPERIAL -------------------------------------------------------------------------------

state MATERIAL_IMPERIAL_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultImperialToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultImperialToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultImperialToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_IMPERIAL_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultImperialByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultImperialByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultImperialByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL IRON -----------------------------------------------------------------------------------

state MATERIAL_IRON_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultIronByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultIronByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultIronByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_IRON_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultIronToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultIronToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultIronToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL ORCISH ---------------------------------------------------------------------------------

state MATERIAL_ORCISH_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultOrcishToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultOrcishToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultOrcishToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_ORCISH_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultOrcishByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultOrcishByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultOrcishByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL SILVER ---------------------------------------------------------------------------------

state MATERIAL_SILVER_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultSilverByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultSilverByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultSilverByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_SILVER_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultSilverToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultSilverToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultSilverToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL STEEL ----------------------------------------------------------------------------------

state MATERIAL_STEEL_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultSteelToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultSteelToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultSteelToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_STEEL_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultSteelByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultSteelByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultSteelByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL WOOD -----------------------------------------------------------------------------------

state MATERIAL_WOOD_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultWoodByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultWoodByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultWoodByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_WOOD_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultWoodToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultWoodToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultWoodToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL DRAGONBONE -----------------------------------------------------------------------------

state MATERIAL_DRAGONBONE_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDragonboneByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDragonboneByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDragonboneByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_DRAGONBONE_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultDragonboneToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultDragonboneToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultDragonboneToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL NORDIC ---------------------------------------------------------------------------------

state MATERIAL_NORDIC_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultNordicByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultNordicByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultNordicByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_NORDIC_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultNordicToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultNordicToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultNordicToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MATERIAL STALHRIM -------------------------------------------------------------------------------

state MATERIAL_STALHRIM_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultStalhrimByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultStalhrimByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultStalhrimByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MATERIAL_STALHRIM_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultStalhrimToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultStalhrimToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultStalhrimToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MAGICK FIRE -------------------------------------------------------------------------------------

state MAGICK_FIRE_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultFireByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultFireByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultFireByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MAGICK_FIRE_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultFireToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultFireToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultFireToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MAGICK FROST ------------------------------------------------------------------------------------

state MAGICK_FROST_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultFrostByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultFrostByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultFrostByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MAGICK_FROST_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultFrostToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultFrostToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultFrostToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MAGICK SHOCK ------------------------------------------------------------------------------------

state MAGICK_SHOCK_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultShockByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultShockByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultShockByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MAGICK_SHOCK_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultShockToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultShockToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultShockToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

; MAGICK RUNE ------------------------------------------------------------------------------

state MAGICK_RUNE_BYPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultRuneByPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultRuneByPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultRuneByPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

state MAGICK_RUNE_TOPC ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(wdUIMultRuneToPC.GetValue())
		SetSliderDialogDefaultValue(1.0)
		SetSliderDialogRange(0.0, _maxValue)
		SetSliderDialogInterval(0.1)
	endEvent
    
	event OnSliderAcceptST(float value)
		wdUIMultRuneToPC.SetValue(value)
		SetSliderOptionValueST(wdUIMultRuneToPC.GetValue(), _sliderFS)
	endEvent
	
	event OnDefaultST()
		SetSliderOptionValueST(1.0, _sliderFS)
	endEvent
endState

